<?php
/**
 * Block Patterns
 *
 * @package fse_dental_clinic
 * @since 1.0
 */

function fse_dental_clinic_register_block_patterns() {
	$fse_dental_clinic_block_pattern_categories = array(
		'fse-dental-clinic' => array( 'label' => esc_html__( 'FSE Dental Clinic', 'fse-dental-clinic' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-dental-clinic' ) ),
	);

	$fse_dental_clinic_block_pattern_categories = apply_filters( 'fse_dental_clinic_fse_dental_clinic_block_pattern_categories', $fse_dental_clinic_block_pattern_categories );

	foreach ( $fse_dental_clinic_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_dental_clinic_register_block_patterns', 9 );